--- old/usr/src/uts/common/smbsrv/smbinfo.h	2020-04-15 01:43:39.202815661 +0000
+++ new/usr/src/uts/common/smbsrv/smbinfo.h	2020-04-15 01:43:39.208155365 +0000
@@ -21,6 +21,7 @@
 /*
  * Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright 2018 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2020 RackTop Systems, Inc.
  */
 
 #ifndef	_SMBSRV_SMBINFO_H
@@ -157,6 +158,7 @@
 	uint32_t skc_max_protocol;	/* SMB_VERS_... */
 	uint32_t skc_min_protocol;	/* SMB_VERS_... */
 	smb_cfg_val_t skc_encrypt; /* EncryptData and RejectUnencryptedAccess */
+	uint16_t skc_encrypt_cipher;	/* 3.1.1 encryption cipher */
 	uint32_t skc_execflags;
 	uint32_t skc_negtok_len;
 	smb_version_t skc_version;
@@ -231,6 +233,13 @@
 #define	SMB_VERS_2_1		0x210	/* "2.1" */
 #define	SMB_VERS_3_0		0x300	/* "3.0" */
 #define	SMB_VERS_3_02		0x302	/* "3.02" */
+#define	SMB_VERS_3_11		0x311	/* "3.11" */
+
+#define	SMB3_HASH_SHA512	1
+
+#define	SMB3_CIPHER_NONE	0
+#define	SMB3_CIPHER_AES128_CCM	1
+#define	SMB3_CIPHER_AES128_GCM	2
 
 #ifdef __cplusplus
 }
